Bug 966705 - Bluetooth fast power-cycle -> duplicate sysfs entry oops still around
Bluetooth fast power-cycle -> duplicate sysfs entry oops still around
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
abrt_hash:0e1194a49315b2f3bd88c6a912c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 14:08 EDT by James Ettle
Modified: 2015-02-17 10:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:19:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (97.19 KB, text/plain)
2013-05-23 14:08 EDT, James Ettle
no flags Details

  None (edit)
Description James Ettle 2013-05-23 14:08:28 EDT
Description of problem:
I have a Bluetooth mouse paired to this notebook. I soft-detached and reattached my notebook's Bluetooth dongle (by pressing a special function key combination). This oops was the result. Seems to be the same "duplicate sysfs entry" one that's been around for a few years now that happens if you quickly power-cycle a Bluetooth mouse too quickly.

Additional info:
reporter:       libreport-2.1.4
WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xae/0xe0()
Hardware name: M720R
sysfs: cannot create duplicate filename '/class/bluetooth/hci0:42'
Modules linked in: hidp lp parport tcp_lp fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core acpi_cpufreq mperf videodev coretemp arc4 kvm_intel kvm iTCO_wdt iTCO_vendor_support serio_raw btusb media snd_hda_codec_si3054 snd_hda_codec_realtek sdhci_pci sdhci microcode iwl4965 snd_hda_intel joydev iwlegacy snd_hda_codec i2c_i801 mac80211 lpc_ich cfg80211 snd_hwdep snd_seq mfd_core bluetooth mmc_core rfkill r8169 snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore mii wmi btrfs libcrc32c xor zlib_deflate raid6_pq i915 firewire_ohci i2c_algo_bit drm_kms_helper firewire_core drm crc_itu_t i2c_core video uinput
Pid: 14932, comm: kworker/u:1H Not tainted 3.9.2-301.fc19.x86_64 #1
Call Trace:
 [<ffffffff8120e300>] ? sysfs_add_one+0x90/0xe0
 [<ffffffff8105cd86>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105cdec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8120e31e>] sysfs_add_one+0xae/0xe0
 [<ffffffff8120eff5>] sysfs_do_create_link_sd+0x105/0x210
 [<ffffffff81200001>] ? proc_pid_readlink+0xe1/0xf0
 [<ffffffff8120f121>] sysfs_create_link+0x21/0x40
 [<ffffffff813e2764>] device_add+0x3b4/0x720
 [<ffffffff813e0d27>] ? dev_set_name+0x47/0x50
 [<ffffffffa0309ace>] hci_conn_add_sysfs+0x4e/0xd0 [bluetooth]
 [<ffffffffa02fe12b>] hci_event_packet+0x171b/0x2c60 [bluetooth]
 [<ffffffffa02ef0e8>] hci_rx_work+0x1b8/0x3c0 [bluetooth]
 [<ffffffff81079a1e>] process_one_work+0x16e/0x3f0
 [<ffffffff8107b49f>] worker_thread+0x10f/0x3d0
 [<ffffffff8107b390>] ? manage_workers+0x340/0x340
 [<ffffffff81080340>] kthread+0xc0/0xd0
 [<ffffffff81080280>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164dc6c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080280>] ? insert_kthread_work+0x40/0x40
Comment 1 James Ettle 2013-05-23 14:08:38 EDT
Created attachment 752305 [details]
File: dmesg
Comment 2 James Ettle 2013-05-23 14:10:14 EDT
This bug completely hoses the bluetooth subsystem until a restart. bluetoothd gets stuck in uninterruptible sleep.
Comment 3 Fedora Admin XMLRPC Client 2013-08-26 10:25:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Victor Mataré 2014-02-23 16:22:55 EST
There was some discussion about this issue on the linux-bluetooth ml a while ago: http://www.spinics.net/lists/linux-bluetooth/msg23697.html
But it seems to have gone nowhere and I'm still seeing this on a 3.12 gentoo kernel...
Comment 5 Fedora End Of Life 2015-01-09 13:12:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:19:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.